<template>
    <v-container fluid>
          <v-card 
          color="accent"
          class="mx-auto"
          max-width="1500">
            <v-card-title class="primary--text text-h5 mb-4">
              INTRODUCTION
            </v-card-title>
            <v-card-subtitle class="white--text text-justify">
              Je suis Alexis Telliez, actuellement étudiant à l'Université du Littoral Côte d'Opale en deuxième année de MASTER: WEB et SCIENCE DE DONNÉES.
              Après l’obtention de mon baccalauréat scientifique, je me suis dirigé vers un BTS Systèmes Numériques option Informatique et Réseaux.
              J’ai ensuite fait une Licence Informatique pour continuer dans le développement informatique. 
              Pour poursuivre vers un MASTER, qui est la suite logique de ma Licence Informatique, dans l'optique de me spécialiser encore plus dans le développement informatique.

            </v-card-subtitle>
            <v-row dense>
              <div class="mx-auto">
                  <v-btn 
                  to="/CV"
                  text 
                  rounded
                  color="secondary"
                  ><v-icon>mdi-book</v-icon></v-btn >
                  <v-btn 
                  to="/about"
                  text 
                  rounded
                  color="secondary"
                  > <v-icon>mdi-account-circle</v-icon></v-btn >
              </div>
            </v-row>
              
              
            <v-divider color="black" class="mt-4"></v-divider>
            <v-card-title class="primary--text text-h5 mb-4">
              EXPÉRIENCE
            </v-card-title>
            <v-card-subtitle class="white--text text-justify">
              Au cours de mes études, j'ai réalisé plusieurs projets qui m'ont permis de découvrir et d'acquérir de l’expérience 
              dans la gestion de projets et différents langages de programmation. 
            </v-card-subtitle>
            <v-row dense>
              <div class="mx-auto">
              <v-btn 
                to="/project"
                text 
                rounded
                width="100%"
                color="secondary"
                ><v-icon>mdi-folder-multiple-image</v-icon></v-btn >
              </div>
            </v-row>
            <v-divider color="black" class="mt-4"></v-divider>

            <v-card-title class="primary--text text-h5 ">
              FORMATIONS
            </v-card-title>
            <v-row dense class="mx-4">
              <v-list-item 
              v-for="(f, i) in formations" 
              :key="i"
              class="mx-0 px-0">
                <v-list-item-content>
                  <v-list-item-title>
                    <v-icon class="mx-3" color="primary">{{ f.icon }}</v-icon>
                    <v-btn 
                    :href="f.link" 
                    target="_blank"
                    text 
                    rounded
                    :class="reziseText"
                    color="secondary"
                    >{{ f.name }}</v-btn >
                  </v-list-item-title>
                </v-list-item-content>
              </v-list-item>
            </v-row>
            <v-divider color="black" class="mt-4"></v-divider>
            <v-card-title class="primary--text text-h5 mb-2">
              COMPÉTENCES
            </v-card-title>
            <v-row dense>
              <v-col :cols="nb">
                <v-list-item
                v-for="(l, i) in left" 
                :key="i">
                  <v-icon class="mx-3" color="primary">mdi-record</v-icon>
                  <v-list-item-content>
                      <v-list-item-title class="white--text">{{ l.name }}</v-list-item-title>
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col :cols="nb">
                <v-list-item
                v-for="(r, i) in right" 
                :key="i">
                  <v-icon class="mx-3" color="primary">mdi-record</v-icon>
                  <v-list-item-content>
                      <v-list-item-title class="white--text">{{ r.name }}</v-list-item-title>
                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <div class="my-3"></div>
            
          </v-card>
    </v-container>
</template>

<script>

export default ({
  name: "HomeCard",
  data() {
    return {
      left: [
        {
          name: "JavaScript | HTML | CSS",
        },
        {
          name: "Vue | Nuxt ",
        },
        {
          name: "Java | Android ",
        }
      ],
      right: [
        {
          name: "JEE",
        },
        {
          name: "C++ | C#",
        },
        {
          name: "MySql",
        }
      ],
      formations:[
        {
          name: "Master : Web et science de données",
          icon: "mdi-school",
          link: "https://www.univ-littoral.fr/formation/offre-de-formation/masters/master-informatique-ingenierie-des-systemes-informatiques-distribues/"
        },
        {
          name: "Licence : Informatique",
          icon: "mdi-school",
          link: "https://www.univ-littoral.fr/formation/offre-de-formation/licences/licence-informatique/",
        },
        {
          name: "BTS : Systèmes Numériques",
          icon: "mdi-school",
          link: "https://www.st-jo.com/fr/post_bac_apprentissage/sous-menu-1/b-t-s-systemes-numeriques-s-n",
        },
      ],
      width: window.innerWidth,
      reziseText: "",
      nb: "6",
    }
  }, 
  created(){
      this.rezise();
  },
  updated(){
      this.rezise();
  },   
  methods: {
      rezise() {
          this.width = window.innerWidth;
          if( this.width <= 800) {
              this.nb = 12;
              this.reziseText = "text-caption text-wrap";
          } else if( this.width > 800) {
              this.nb = 6;
              this.reziseText = "text-button";
          }

      }
  }
})
</script>

